Skip to content

/valuations

Valuations

Release Notes

October 2025

  • Your electric vehicle's MMR value can now be updated by its EV battery health (EVBH) score. Pass a new parameter "evbh" with a value of 75-100, and you will see your MMR value adjusted based on the average EVBH rating for that type of vehicle. Note that we only support scores 75-100 for this initial rollout. Your EVBH adjustment will depend on the average EVBH rating for that vehicle, driven by actual EVBH readings from Manheim. These average EVBH ratings may vary day-to-day depending on recent market transactions. If an EV is eligible for an EVBH adjustment, you will see an "averageEVBH" field under "averageGrade" in the MMR API response.

June 2024

  • Build option adjustments from available build data will be returned by default in the response for the MMR VIN endpoints. If a VIN has build options available, they will be included by default in the MMR adjusted wholesale price. A new field called buildOptions has been added to the adjustedPricing > adjustedBy section of the MMR VIN response. If build options were factored into the adjusted wholesale price, buildOptions will show as “true.” To exclude build option adjustments from wholesale adjusted pricing, pass the new API parameter “excludeBuild=true.” If build options are not available, or if they are excluded by the API consumer with the “excludeBuild=true” input parameter, then buildOptions will show as “false”.

July 2023

  • The confidenceIndicator field is returned by default in the response for the MMR VIN, VIN Subseries, VIN Subseries Trans, Search, and Search slash (YMMT) endpoints when the 'include=ci' parameter is passed.

June 2023

  • The MMR VIN, VIN Subseries, VIN Subseries Trans endpoints can accept zipCode as an input parameter and provide region adjustments using both zipCode and region input parameters. This functionality will be implemented for the Search & Forecast endpoints in the coming months.
  • For the MMR VIN, VIN Subseries, VIN Subseries Trans, Search, and Search slash (YMMT) endpoints, the fields requestedDate and returnedDate are returned by default in the response. This new functionality will be available in mid-July.
  • The confidenceIndicator field is returned by default in the response for the MMR VIN, VIN Subseries, VIN Subseries Trans, Search, and Search slash (YMMT) endpoints when the 'include=ci' parameter is passed. This new functionality is expected to be available in mid-July.

March 2023

  • Added “orgId" attribute with type "string". This attribute allows our clients to communicate which organization is originating requests.

December 2022

  • Added “extendedCoverage” attribute with value “True” or “False”. This attribute allows users to know whether Small Sample Size was utilized for the provided MMR value. Small Sample Size allows for MMR to be generated for a particular YMMT (Year Make Model Trim) where previously no value was returned due to an insufficient number of transactions. This enhancement will calculate MMR based on methods such as MSRP (Manufacturer Suggested Retail Price), depreciation, and patterns for similar YMMTs. This is a change to the MMR algorithm and requires no development to consume.
  • Added "ci" value for "include" request parameter to retrieve confidence interval details. Confidence Interval is a new price range that reflects confidence in the MMR value determined by the volume of transactions for the given Year, Make, and Model. This range will become narrower when Manheim has higher confidence in the MMR value. A parameter will be required to include these values in the response.

October 2022

  • Added additional Valuations search endpoints to handle make, model, and trims that include a forward slash. Earlier search endpoints resulted in an exception when forward slash ('/') is passed in make, model or trim fields (ex:"DATSUN/NISSAN").

December 2020

  • Added a date parameter to all methods. When passed, this parameter will return historical data as it would have been calculated on the date passed. This new feature requires additional licensing. For access fill out the API Access Request form in the support section.
  • Added "requestedDate" and "returnedDate" response fields if a date parameter was specified in the request. This confirms the date requested and informs the API consumer about the date of the returned valuation, which may differ from the date requested. If no data is available for the requested date, the nearest previous date’s data is returned. This change applies to all API methods.

March 2019

November 2018

October 2018

May 2017

  • For "Retrieve Valuations by VIN" method, added "bestMatch" field to response described in item table in "Response Parameters" section and in second example in "Example JSON Response" section

May 2017

  • Provided more matches to searches or requests by VIN by including valuations that do not have pricing information. This also reduces the likelihood of 404 errors that previously occurred when no pricing information existed for a specific vehicle
  • Updated response message for "404 Not Found" in the "Common Return Codes" table in "Retrieve Valuations by VIN" and "Search Valuations"

December 2016

  • Added "Retrieve Batch Valuations by VIN" method

  • Added "Retrieve a Single Region" method

  • Added "Region" field to the Valuations response when the "region" query parameter is invoked

  • Updated "Retrieve Region by Auction" endpoint

  • Updated response to "Retrieve All Regions" to include endpoints for each region

  • Updated JSON Attributes for the method "Retrieve All Regions"

  • Updated JSON Attributes for the method "Retrieve a Single Region"

  • Added JSON Attributes for the method "Retrieve Region by Auction"

  • Added JSON Attributes for "Retrieve Batch Valuations by VIN"

Overview

The Valuations API allows consumers to retrieve valuations, which are indicators of wholesale prices drawn from the Manheim Market Report. The pricing calculations are based on millions of sales transactions for the previous 13 months, and pricing data is refreshed nightly. This REST API is a replacement of our previous SOAP versions as discussed below in our overview of switching from our SOAP to REST APIs.

API users may request valuations by ID, by VIN or by year, make, model and trim. Users may retrieve information about the current edition of the Manheim Market Report and information about the geographic regions into which the information is partitioned. Information about each region or auction is available through the Valuations API. Users may retrieve valuations individually or by a batch call.

Users may also retrieve valuations with a date parameter, returning MMR for a past date, back to 11/01/2018. The value calculated is the same value that would have been calculated on the date requested, and values are unique 6 days per week; Saturday and Sunday use the same values. This new feature requires additional licensing. For access, contact DataSyndication@coxautoinc.com.

Clients may reach out to us for access to a testing environment.

Maintenance Windows

During the following times, service may be briefly interrupted in production. Historically this has led to less than 10 minutes worth of downtime in the last year, typically only seen 30 - 90 seconds at a time. Please ensure retry logic is built into your implementation to account for these events.

  • Tuesday: 21:15 - 23:15 (UTC)
  • Wednesday: 21:15 - 23:15 (UTC)

URLs and Environments

The base URL for the Valuations API is /valuations. This document describes each method endpoint starting with this base URL.

Actual requests will require the protocol and host URL for one of the Manheim environments:

  • UAT: https://uat.api.manheim.com
  • Production: https://api.manheim.com

See API Access and Environments for more information about Manheim API environments.

Authentication & Authorization

To use this API, you must have a Mashery API Package Key that is active (no scope required).
When requesting an access token for this API, use the resource owner client_credentials grant type.

The request header must include the Authorization key with a value of Basic followed by your Base64 encoded Mashery key:secret pair. Note that you must Base64 encode your Mashery key:secret. For details of how to do this refer to Preparing the Authorization Header.

AttributeValue
AuthorizationBasic
Content-Typeapplication/x-www-form-urlencoded
grant_typeclient_credentials
curl --location --request POST 'https://api.manheim.com/oauth2/token.oauth2' \
--header 'Authorization: Basic aDNod2dtNDQ0NWtqenB0XXXXXXXXXXXXX=' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=client_credentials'

For details on how to request a token and additional information on authentication and authorization, please refer to Authentication and Authorization.

Retrieve Valuations by VIN

This method allows a customer to use the VIN of a vehicle to retrieve valuations. Manheim returns any vehicle styles that match the VIN provided, even if they are not an exact match.

Customers can also use this method to retrieve valuations for a specific date in the past.

NOTE: You can see how response parameters from this API match the fields in the Manheim Market Report by referring to "How API Response Parameters Map to the Manheim Market Report".

Endpoints

GET /valuations/vin/VIN

GET /valuations/vin/VIN/SUBSERIES

GET /valuations/vin/VIN/SUBSERIES/TRANSMISSION

"VIN" in the URL should be replaced by the VIN of the vehicle. "SUBSERIES" and "TRANSMISSION" should be replaced by the subseries identifier (e.g. "528I MAN") and transmission identifier (e.g. "M").

Request Parameters

This method requires only the VIN in the URL. The customer may also enter a vehicle's subseries or its transmission into the URL as path parameters.

ParameterTypeRequirementDescription
VINStringREQUIREDvehicle identification number (VIN) of a vehicle
SUBSERIESStringREQUIRED if "TRANSMISSION" is presentFurther division of a vehicle, such as "SE" or "LE"
TRANSMISSIONStringOPTIONALDetails the transmission of a vehicle, with "A" for "Automatic" and "M" for "Manual" (only available for certain vehicles)

The URL may also include an OPTIONAL query string that includes one or more of the query parameters in the following table.

These query parameters may either add fields to the response or change your adjusted values if there are enough supporting transactions to generate that type of adjustment.

If an invalid adjustment factor is passed, for example 3.9 instead of 39 (for grade) or 9021 instead of 90210 (for zipCode), the invalid values will be ignored and the response does not return an error or warning. The response will indicate which parameters were acceptable and impacted the value.

ParameterTypeDescription
odometerIntegerThe odometer of the vehicle without commas. For example, odometer=37649
regionStringA Manheim region; accepted values may be retrieved from the request "Retrieve All Regions". For example, region=SW
zipCodeStringAny valid US zip code. This input will adjust MMR for the Manheim region associated with that zip code. For example, zipCode=90210 will return adjustments for region “WC” (West Coast)
includeArrayAccepts any comma-separated combination of the following, in any order: retail,forecast,historical,ci. For example, include=ci,retail
colorStringExternal color of the vehicle; accepted values may be retrieved from the request "Retrieve All Colors.” For example, color=Black
gradeIntegerThe Condition Report grade of the vehicle. This number can be anything from 10 to 50, including 10 and 50, without decimals. For example, a CR grade of 3.5 would be passed as grade=35
evbhIntegerElectric Vehicle Battery Health (EVBH) score of the vehicle; values must be between “75” and “100." For example, evbh=98
dateStringThe specific day for which to retrieve the vehicle valuations, in YYYY-MM-DD format. This is used for Historical MMR. For example, date=2025-11-01
extendedCoverageBooleanIf False, allows user to opt out of small sample size values.
orgIdStringThe organizational id associated with your requests. This field may be required according to your data license agreement.
excludeBuildBooleanIf True, excludes any available build data from being included in the wholesale adjusted pricing. For example, excludeBuild=true
  • If the date is not provided as an input parameter, the system will take the current date according to the US Central Timezone and return the values for the corresponding edition date.
  • If the specified date is valid, the API returns values for the appropriate edition date.
  • When the specified date is not found, the nearest previous date is used to generate the valuations response.
  • If the specified date is prior to the first available date (currently October 8, 2018), an error is returned.
  • If the excludeBuild=true parameter is passed in the API request, or if build data is not available for a specific vehicle, buildOptions will show as "false" in the API response section for that vehicle.
  • EV Battery Health scores of 75 - 100 are accepted. Any values outside of this range are ignored.

Example JSON Requests

Request for a specific VIN

The following example shows a request for a specific VIN.

GET https://uat.api.manheim.com/valuations/vin/WBA3C1C5XFP85

If the value would otherwise contain whitespace, the whitespace character should be omitted or replaced with "%20".

If the value contains a "/", it may be replaced with "%2F".

Request for a specific VIN for a specific date

The following example shows a valuations request for a specified VIN and a specific date in the past. This feature requires additional licensing. For access, contact DataSyndication@coxautoinc.com or fill out the form on our support page.

GET https://uat.api.manheim.com/valuations/vin/WBA3C1C5XFP85?date=2019-10-28
Request with subseries & transmission

The customer may make a more specific request by specifying the subseries and transmission of the vehicle after the VIN. The following example shows a request for a specific VIN (WBAXG5C54CDX02007), subseries (528I), and transmission (A).

GET https://uat.api.manheim.com/valuations/vin/WBAXG5C54CDX02007/528I/A
Request with odometer, region, include

The URL may also contain a query string similar to the following, to obtain a valuation adjusted for odometer and region, and including retail values.

GET https://uat.api.manheim.com/valuations/vin/JM1BL1L81D?odometer=10000&region=se&include=retail
Request with odometer, zipCode

The URL may also contain a query string similar to the following, to obtain a valuation adjusted for odometer and zipCode

GET https://uat.api.manheim.com/valuations/vin/JM1BL1L81D?odometer=10000&zipCode=92780
Request with color & grade

The query may also include parameters for color and grade as shown in the following example.

GET https://uat.api.manheim.com/valuations/vin/WBA3C1C5XFP853102?color=WHITE&grade=31&odometer=20000&region=NE
Request for a VIN excluding build option adjustments

Making a request with the excludeBuild=true true parameter will exclude any option adjustments available from OEM build data.

GET https://uat.api.manheim.com/valuations/vin/WBAXG5C54CDX02007?excludeBuild=true

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
400 Bad RequestERROR: Invalid VINVIN may contain invalid characters or may be the wrong length; check and resubmit
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: Matching vehicles not foundURL may be malformed or the requested valuation does not exist; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support
596 596ERROR: 596 Service Not FoundURL may be malformed; check the method name and resubmit

Response Parameters

FieldTypeDescription
hrefStringURL of the request
countIntegerNumber of valuations returned
itemsArrayArray containing an object for each valuation; fields in each valuation object are shown in the tables below

Each item valuation is described by the fields in the table below. Note Some fields are only returned if specific parameters are included in the request.

FieldTypeDescription
hrefStringURL of a unique vehicle valuation
descriptionObjectInformation about the vehicle
description.yearIntegerYear of the valuation vehicle
description.makeStringMake of the valuation vehicle
description.modelStringModel of the valuation vehicle
description.trimStringTrim of the valuation vehicle
description.subSeriesStringSubseries of the valuation vehicle
description.transmissionStringTransmission of the valuation vehicle; may not always be returned
adjustedPricingObjectInformation about the valuation pricing adjusted by various factors
adjustedPricing.wholesaleObjectInformation about the adjusted valuation of the vehicle at the auction
adjustedPricing.wholesale.aboveIntegerOne standard deviation above the adjusted average valuation
adjustedPricing.wholesale.averageIntegerAdjusted average valuation
adjustedPricing.wholesale.belowIntegerOne standard deviation below the adjusted average valuation
adjustedPricing.retailObjectInformation about the adjusted valuation of the vehicle in the consumer market
adjustedPricing.retail.aboveIntegerOne standard deviation above the adjusted average MMR retail valuation
adjustedPricing.retail.averageIntegerAdjusted average MMR retail value
adjustedPricing.retail.belowIntegerOne standard deviation below the adjusted average MMR retail valuation
adjustedPricing.adjustedByObjectInformation about the specific valuation adjustments when optional query parameters are invoked
adjustedPricing.adjustedBy.buildOptionsBooleanWhether build options were included in the wholesale adjusted pricing.
adjustedPricing.adjustedBy.ColorStringExterior color of the vehicle. Included if the color parameter was passed in the query, identifies the color, ex: "SILVER"
adjustedPricing.adjustedBy.GradeStringIf a grade parameter was passed in the query, identifies the grade, ex: "44"
adjustedPricing.adjustedBy.OdometerStringIf an odometer parameter was passed in the query, identifies the odometer value, ex: "30100"
adjustedPricing.adjustedBy.RegionStringIf a region parameter was passed in the query, identifies the region set for the valuation; defaults to "NA" for "National"
adjustedPricing.adjustedBy.EVBHIntegerIf an EVBH parameter was passed in the query, identifies that the EVBH parameter was used to adjust the value, and restates the valid parameter passed by the requester. If you pass an EVBH input of “95,” and MMR is able to adjust EVBH with that score, you will see a value of “95” for this field of the response.
wholesaleObjectInformation about the valuation of the vehicle at the auction
wholesale.aboveIntegerOne standard deviation above the average
wholesale.averageIntegerAverage valuation
wholesale.belowIntegerOne standard deviation below the average
retailObjectInformation about the expected value of the vehicle in the consumer market
retail.aboveIntegerOne standard deviation above the average
retail.averageIntegerAverage MMR retail value
retail.belowIntegerOne standard deviation below the average
historicalAveragesObjectInformation about average odometer readings and price values for past periods
historicalAverages.last30daysObjectMMR information from the past 30 days, regardless of the month
historicalAverages.last30days.odometerIntegerAverage odometer of the vehicles used to calculate the MMR during this time period
historicalAverages.last30days.priceIntegerAverage price of the MMR for a specific vehicle during this time period
historicalAverages.lastMonthObjectMMR information from the past month
historicalAverages.lastMonth.odometerIntegerAverage odometer of the vehicles used to calculate the MMR during this time period
historicalAverages.lastMonth.priceIntegerAverage price of the MMR for a specific vehicle during this time period
historicalAverages.lastTwoMonthsObjectMMR information from the past two months
historicalAverages.lastTwoMonths.odometerIntegerAverage odometer of the vehicles used to calculate the MMR during this time period
historicalAverages.lastTwoMonths.priceIntegerAverage price of the MMR for a specific vehicle during this time period
historicalAverages.lastSixMonthsObjectMMR information from the past six months
historicalAverages.lastSixMonths.odometerIntegerAverage odometer of the vehicles used to calculate the MMR during this time period
historicalAverages.lastSixMonths.priceIntegerAverage price of the MMR for a specific vehicle during this time period
historicalAverages.lastYearObjectMMR information from the past year
historicalAverages.lastYear.odometerIntegerAverage odometer of the vehicles used to calculate the MMR during this time period
historicalAverages.lastYear.priceIntegerAverage price of the MMR for a specific vehicle during this time period
forecastObjectInformation about the predicted MMR for the vehicle
forecast.nextMonthObjectMMR information for the upcoming month
forecast.nextMonth.wholesaleIntegerPredicted MMR price of a vehicle for auction sale
forecast.nextMonth.retailIntegerPredicted MMR price of a vehicle for consumer sale
forecast.nextYearObjectMMR information for the upcoming year
forecast.nextYear.wholesaleIntegerPredicted MMR price of a vehicle for auction sale
forecast.nextYear.retailIntegerPredicted MMR price of a vehicle for consumer sale
averageOdometerIntegerAverage number for the odometer on the vehicles used in the valuation
odometerUnitsStringUnit of measurement for the odometer
averageGradeIntegerAverage vehicle grade of the valuation, such that "50" is equivalent to "5.0"
averageEVBHIntegerAverage EV Battery Health of the valuation
currencyStringType of currency used, such as "USD" for "U.S. Dollars"
sampleSizeStringTotal number of transactions supporting the base MMR.
bestMatchBooleanIf present, indicates that this item is the best MMR match found for the VIN provided
extendedCoverageBooleanIndicates this item uses Small Sample Size

The "requestedDate" and "returnedDate" fields are provided in the response regardless of whether the date query parameter is passed or not.

FieldTypeDescription
requestedDateStringThe date in YYYY-MM-DD format for which the valuation was requested. If a date was specified in the query, that date is used. If no date was specified, the current date in the US Central Timezone is taken as the requestedDate
returnedDateStringThe date of valuation in YYYY-MM-DD format, if a date was specified in the query; may differ from the requested date if valuations data is not available on the requested date date

If the "include" query parameter is used, and one of its values is set to "ci", the "adjustedPricing" field will contain a "confidenceInterval" field that itself contains fields describing the confidence Manheim has in the valuation.

FieldTypeDescription
confidenceIntervalObjectAn object containing a quantification of Manheim's confidence in the valuation and the price range computed based on that confidence
confidenceInterval[#].priceRangeObjectContains the confidence interval represented as a price range
confidenceInterval[#].priceRange.adjustedHighIntegerHigh end of the price range calculated based on Manheim's confidence in the valuation
confidenceInterval[#].priceRange.adjustedLowIntegerLow end of the price range calculated based on Manheim's confidence in the valuation

Example JSON Responses

17-digit VIN: Request #1 for VIN only

The following shows a request that specifies a complete VIN and the resulting API response containing multiple items. The "bestMatch" field is present and set to true for one of the items.

Request

curl --location --request GET 'https://uat.api.manheim.com/valuations/vin/JF2GTHMC9M8371627' \
--header 'Authorization: Bearer hnec9npcugtadp22tufz99cc'

Response

{
    "href": "https://uat.api.manheim.com/valuations/vin/JF2GTHMC9M8371627?country=US&date=2024-05-24&odometer=0",
    "count": 1,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/id/202104872270011?country=US&date=2024-05-24&odometer=0",
            "extendedCoverage": false,
            "description": {
                "year": 2021,
                "make": "SUBARU",
                "model": "CROSSTREK",
                "trim": "4D SUV 2.5L LIMITED",
                "subSeries": "LIMITED"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 25100,
                    "average": 22900,
                    "below": 20800
                },
                "adjustedBy": {
                    "buildOptions": true
                }
            },
            "wholesale": {
                "above": 24900,
                "average": 22700,
                "below": 20600
            },
            "averageOdometer": 35945,
            "odometerUnits": "miles",
            "averageGrade": 43,
            "currency": "USD",
            "sampleSize": "52",
            "requestedDate": "2024-05-24",
            "returnedDate": "2024-05-24",
            "bestMatch": true
        }
    ]
}
17-digit VIN : Request #2 for VIN and Subseries

This example shows a request that specifies a complete VIN and subseries obtained from the "bestmatch" result in the previous example. The response contains only a single matching item.

Request

curl --location --request GET 'https://uat.api.manheim.com/valuations/vin/WA1BAAFY4M2078195/PREMIUM +' \
--header 'Authorization: Bearer hnec9npcugtadp22tufz99cc'

Response

{
    "href": "https://unified-valuations-api.nonprod.datasolutions.coxautoinc.com/ManheimVehiclePricingWebService/pricing/mmr/vin/WA1BAAFY4M2078195?country=US&date=2024-05-24&odometer=0",
    "count": 1,
    "items": [
        {
            "href": "https://unified-valuations-api.nonprod.datasolutions.coxautoinc.com/ManheimVehiclePricingWebService/pricing/mmr/id/202133161320105?country=US&date=2024-05-24&odometer=0",
            "extendedCoverage": false,
            "description": {
                "year": 2021,
                "make": "AUDI",
                "model": "Q5 4C HYBRID",
                "trim": "4D SUV 45 PREMIUM PLUS",
                "subSeries": "PREMIUM +"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 30400,
                    "average": 27800,
                    "below": 25200
                },
                "adjustedBy": {
                    "buildOptions": true
                }
            },
            "wholesale": {
                "above": 30200,
                "average": 27600,
                "below": 25000
            },
            "averageOdometer": 34861,
            "odometerUnits": "miles",
            "averageGrade": 44,
            "currency": "USD",
            "sampleSize": "178",
            "requestedDate": "2024-05-24",
            "returnedDate": "2024-05-24",
            "bestMatch": true
        }
    ]
}
10-digit VIN: Request #1 for VIN only

The following shows a request that specifies a 10-digit VIN and the resulting API response containing multiple items.

Request

curl --location --request GET 'https://uat.api.manheim.com/valuations/vin/1FTEX1EP8L' \
--header 'Authorization: Bearer hnec9npcugtadp22tufz99cc'

Response

{
    "href": "https://uat.api.manheim.com/valuations/vin/1FTEX1EP8L?country=US&date=2024-05-24&odometer=0",
    "count": 3,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/id/202001757179002?country=US&date=2024-05-24&odometer=0",
            "extendedCoverage": true,
            "description": {
                "year": 2020,
                "make": "FORD",
                "model": "F150 4WD V6",
                "trim": "EXT CAB 2.7L LARIAT",
                "subSeries": "LARIAT"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 27200,
                    "average": 22300,
                    "below": 17300
                },
                "adjustedBy": {
                    "buildOptions": false
                }
            },
            "wholesale": {
                "above": 27200,
                "average": 22300,
                "below": 17300
            },
            "averageOdometer": 72432,
            "odometerUnits": "miles",
            "averageGrade": 39,
            "currency": "USD",
            "sampleSize": "0",
            "requestedDate": "2024-05-24",
            "returnedDate": "2024-05-24"
        },
        {
            "href": "https://uat.api.manheim.com/valuations/id/202001757179035?country=US&date=2024-05-24&odometer=0",
            "extendedCoverage": false,
            "description": {
                "year": 2020,
                "make": "FORD",
                "model": "F150 4WD V6",
                "trim": "EXT CAB 2.7L XL",
                "subSeries": "XL"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 26100,
                    "average": 20500,
                    "below": 14850
                },
                "adjustedBy": {
                    "buildOptions": false
                }
            },
            "wholesale": {
                "above": 26100,
                "average": 20500,
                "below": 14850
            },
            "averageOdometer": 78492,
            "odometerUnits": "miles",
            "averageGrade": 35,
            "currency": "USD",
            "sampleSize": "6",
            "requestedDate": "2024-05-24",
            "returnedDate": "2024-05-24"
        },
        {
            "href": "https://uat.api.manheim.com/valuations/id/202001757179052?country=US&date=2024-05-24&odometer=0",
            "extendedCoverage": false,
            "description": {
                "year": 2020,
                "make": "FORD",
                "model": "F150 4WD V6",
                "trim": "EXT CAB 2.7L XLT",
                "subSeries": "XLT"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 32200,
                    "average": 28400,
                    "below": 24500
                },
                "adjustedBy": {
                    "buildOptions": false
                }
            },
            "wholesale": {
                "above": 32200,
                "average": 28400,
                "below": 24500
            },
            "averageOdometer": 37255,
            "odometerUnits": "miles",
            "averageGrade": 43,
            "currency": "USD",
            "sampleSize": "6",
            "requestedDate": "2024-05-24",
            "returnedDate": "2024-05-24"
        }
    ]
}
10-digit VIN : Request #2 for VIN and Subseries

This example shows a request that specifies a 10-digit VIN and one of the subseries returned in the less specific example, and the response containing one matching item.

Request

curl --location --request GET 'https://uat.api.manheim.com/valuations/vin/1FTEX1EP8L/XL' \
--header 'Authorization: Bearer hnec9npcugtadp22tufz99cc'

Response

{
    "href": "https://uat.api.manheim.com/valuations/vin/1FTEX1EP8L/XL?country=US&date=2024-05-24&odometer=0",
    "count": 1,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/id/202001757179035?country=US&date=2024-05-24&odometer=0",
            "extendedCoverage": false,
            "description": {
                "year": 2020,
                "make": "FORD",
                "model": "F150 4WD V6",
                "trim": "EXT CAB 2.7L XL",
                "subSeries": "XL"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 26100,
                    "average": 20500,
                    "below": 14850
                },
                "adjustedBy": {
                    "buildOptions": false
                }
            },
            "wholesale": {
                "above": 26100,
                "average": 20500,
                "below": 14850
            },
            "averageOdometer": 78492,
            "odometerUnits": "miles",
            "averageGrade": 35,
            "currency": "USD",
            "sampleSize": "6",
            "requestedDate": "2024-05-24",
            "returnedDate": "2024-05-24"
        }
    ]
}
10-digit VIN : Request #3 for VIN, Subseries and Transmission

This example shows a request that specifies a 10-digit VIN, a subseries, and the transmissions . The response contains a single item.

Request

curl --location --request GET 'https://uat.api.manheim.com/valuations/vin/1GN2GZFG1B?LS/A' \
--header 'Authorization: Bearer hnec9npcugtadp22tufzfn7h'

Response

{
    "href": "https://uat.api.manheim.com/valuations/vin/1GN2GZFG1B?country=US&date=2024-05-24&odometer=0&transmission=A",
    "count": 1,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/id/201101120723487?country=US&date=2024-05-24&odometer=0",
            "extendedCoverage": false,
            "description": {
                "year": 2011,
                "make": "CHEVROLET",
                "model": "G3500 VAN V8",
                "trim": "EXPRESS CARGO 6.0L LS",
                "subSeries": "LS",
                "transmission": "A"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 0,
                    "average": 0,
                    "below": 0
                },
                "adjustedBy": {
                    "buildOptions": false
                }
            },
            "wholesale": {
                "above": 0,
                "average": 0,
                "below": 0
            },
            "averageOdometer": 0,
            "odometerUnits": "miles",
            "averageGrade": 0,
            "currency": "USD",
            "sampleSize": "0",
            "requestedDate": "2024-05-24",
            "returnedDate": "2024-05-24",
            "bestMatch": true
        }
    ]
}
Response to request for specific VIN with date

The following is an example of the response to a request that specifies a VIN and an earlier date in the query string. In this case, the valuation amounts returned are from the requested date and thus differ from those returned by the request that did not specify a date. Note that the response also includes two additional fields, "requestedDate" and "returnedDate".

If the date requested is too early, an error will be returned; see "Response to request for VIN with date not available" for details.

{
    "href": "https://uat.api.manheim.com/valuations/vin/JF2GTHMC9M8371627?country=US&date=2024-05-20&odometer=0",
    "count": 1,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/id/202104872270011?country=US&date=2024-05-20&odometer=0",
            "extendedCoverage": false,
            "description": {
                "year": 2021,
                "make": "SUBARU",
                "model": "CROSSTREK",
                "trim": "4D SUV 2.5L LIMITED",
                "subSeries": "LIMITED"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 24800,
                    "average": 22800,
                    "below": 20800
                },
                "adjustedBy": {
                    "buildOptions": true
                }
            },
            "wholesale": {
                "above": 24600,
                "average": 22600,
                "below": 20600
            },
            "averageOdometer": 39449,
            "odometerUnits": "miles",
            "averageGrade": 44,
            "currency": "USD",
            "sampleSize": "50",
            "requestedDate": "2024-05-20",
            "returnedDate": "2024-05-20",
            "bestMatch": true
        }
    ]
}

Response to request for VIN with date not available

If a request is made to this API with the date parameter, but the date is earlier than the earliest recorded valuation data for the vehicle, the API will return an error similar to this example:

404 NOT FOUND
{
    "message": "Data not found for requested date",
    "developerMessage": "Requested date should be on or after 2018-10-08"
}
Response to request for VIN with odometer

The following is an example of the response to a request that includes "odometer" in the query string. Note that multiple items are returned, and the "bestMatch" field is present and set to true for one of the items.

{
    "href": "https://uat.api.manheim.com/valuations/vin/JF2GTHMC9M8371627?country=US&date=2024-05-20&odometer=20000",
    "count": 1,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/id/202104872270011?country=US&date=2024-05-20&odometer=20000",
            "extendedCoverage": false,
            "description": {
                "year": 2021,
                "make": "SUBARU",
                "model": "CROSSTREK",
                "trim": "4D SUV 2.5L LIMITED",
                "subSeries": "LIMITED"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 26500,
                    "average": 24500,
                    "below": 22500
                },
                "adjustedBy": {
                    "Odometer": "20000",
                    "buildOptions": true
                }
            },
            "wholesale": {
                "above": 24600,
                "average": 22600,
                "below": 20600
            },
            "averageOdometer": 39449,
            "odometerUnits": "miles",
            "averageGrade": 44,
            "currency": "USD",
            "sampleSize": "50",
            "requestedDate": "2024-05-20",
            "returnedDate": "2024-05-20",
            "bestMatch": true
        }
    ]
}
Response to request for VIN with EVBH score

The following is an example of the response to a request that includes "evbh" in the query string.

{
    "href": "https://uat.api.manheim.com/valuations/vin/5YJSA1E59NF464865?country=US&date=2025-10-29&evbh=82&odometer=0",
    "count": 1,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/id/202231565760006?country=US&date=2025-10-29&evbh=82&odometer=0",
            "extendedCoverage": false,
            "description": {
                "year": 2022,
                "make": "TESLA",
                "model": "MODEL S",
                "trim": "4D SEDAN",
                "subSeries": "NONE"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 40700,
                    "average": 38300,
                    "below": 35800
                },
                "adjustedBy": {
                    "EVBH": "82",
                    "buildOptions": false
                }
            },
            "wholesale": {
                "above": 40900,
                "average": 38500,
                "below": 36000
            },
            "averageOdometer": 30752,
            "odometerUnits": "miles",
            "averageGrade": 38,
            "averageEVBH": 89,
            "currency": "USD",
            "sampleSize": "46",
            "requestedDate": "2025-10-29",
            "returnedDate": "2025-10-29",
            "bestMatch": true
        }
    ]
}

Response to request for VIN with odometer, region and include=retail,forecast,historical

The following is an example of the response to a request that includes "odometer", "region", and "include=retail,forecast,historical" in the query string.

{
    "href": "https://uat.api.manheim.com/valuations/vin/JF2GTHMC9M8371627?country=US&date=2024-05-20&include=retail%2Cforecast%2Chistorical&odometer=20000&region=NE",
    "count": 1,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/id/202104872270011?country=US&date=2024-05-20&include=retail%2Cforecast%2Chistorical&odometer=20000&region=NE",
            "extendedCoverage": false,
            "description": {
                "year": 2021,
                "make": "SUBARU",
                "model": "CROSSTREK",
                "trim": "4D SUV 2.5L LIMITED",
                "subSeries": "LIMITED"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 26300,
                    "average": 24300,
                    "below": 22300
                },
                "retail": {
                    "above": 28600,
                    "average": 26800,
                    "below": 25000
                },
                "adjustedBy": {
                    "Region": "NE",
                    "Odometer": "20000",
                    "buildOptions": true
                }
            },
            "wholesale": {
                "above": 24600,
                "average": 22600,
                "below": 20600
            },
            "retail": {
                "above": 27100,
                "average": 25300,
                "below": 23400
            },
            "historicalAverages": {
                "last30Days": {
                    "odometer": 39449,
                    "price": 23200
                },
                "lastMonth": {
                    "odometer": 35833,
                    "price": 23700
                },
                "lastTwoMonths": {
                    "odometer": 30448,
                    "price": 23700
                },
                "lastSixMonths": {
                    "odometer": 28183,
                    "price": 24900
                },
                "lastYear": {
                    "odometer": 21770,
                    "price": 28500
                }
            },
            "forecast": {
                "nextMonth": {
                    "wholesale": 22700,
                    "retail": 25200
                },
                "nextYear": {
                    "wholesale": 19450,
                    "retail": 20800
                }
            },
            "averageOdometer": 39449,
            "odometerUnits": "miles",
            "averageGrade": 44,
            "currency": "USD",
            "sampleSize": "50",
            "requestedDate": "2024-05-20",
            "returnedDate": "2024-05-20",
            "bestMatch": true
        }
    ]
}
Response to request for VIN with color, grade, odometer, region, include

The API will return a response similar to the following if the request includes "odometer", "region", "color", "grade", and "include=retail,historical,forecast" in the query string.

{
    "href": "https://uat.api.manheim.com/valuations/vin/JF2GTHMC9M8371627?country=US&date=2024-05-24&grade=30&include=retail%2Cforecast%2Chistorical&odometer=20000&region=NE",
    "count": 1,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/id/202104872270011?country=US&date=2024-05-24&grade=30&include=retail%2Cforecast%2Chistorical&odometer=20000&region=NE",
            "extendedCoverage": false,
            "description": {
                "year": 2021,
                "make": "SUBARU",
                "model": "CROSSTREK",
                "trim": "4D SUV 2.5L LIMITED",
                "subSeries": "LIMITED"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 24600,
                    "average": 22600,
                    "below": 20600
                },
                "retail": {
                    "above": 26600,
                    "average": 25000,
                    "below": 23300
                },
                "adjustedBy": {
                    "Grade": "30",
                    "Region": "NE",
                    "Odometer": "20000",
                    "buildOptions": true
                }
            },
            "wholesale": {
                "above": 24900,
                "average": 22700,
                "below": 20600
            },
            "retail": {
                "above": 27300,
                "average": 25500,
                "below": 23700
            },
            "historicalAverages": {
                "last30Days": {
                    "odometer": 35945,
                    "price": 23200
                },
                "lastMonth": {
                    "odometer": 35833,
                    "price": 23700
                },
                "lastTwoMonths": {
                    "odometer": 30448,
                    "price": 23700
                },
                "lastSixMonths": {
                    "odometer": 28183,
                    "price": 24900
                },
                "lastYear": {
                    "odometer": 21770,
                    "price": 28500
                }
            },
            "forecast": {
                "nextMonth": {
                    "wholesale": 22800,
                    "retail": 25400
                },
                "nextYear": {
                    "wholesale": 19600,
                    "retail": 21100
                }
            },
            "averageOdometer": 35945,
            "odometerUnits": "miles",
            "averageGrade": 43,
            "currency": "USD",
            "sampleSize": "52",
            "requestedDate": "2024-05-24",
            "returnedDate": "2024-05-24",
            "bestMatch": true
        }
    ]
}

Response to request for VIN with include=ci and excludeBuild=true

The following is an example of the response to a request that includes "odometer", "include=ci" and excludeBuild=true in the query string.

{
    "href": "https://uat.api.manheim.com/valuations/vin/JF2GTHMC9M8371627?country=US&date=2024-05-24&excludeBuild=true&grade=30&include=retail%2Cforecast%2Chistorical&odometer=20000&region=NE",
    "count": 1,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/id/202104872270011?country=US&date=2024-05-24&grade=30&include=retail%2Cforecast%2Chistorical&odometer=20000&region=NE",
            "extendedCoverage": false,
            "description": {
                "year": 2021,
                "make": "SUBARU",
                "model": "CROSSTREK",
                "trim": "4D SUV 2.5L LIMITED",
                "subSeries": "LIMITED"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 24400,
                    "average": 22400,
                    "below": 20400
                },
                "retail": {
                    "above": 26600,
                    "average": 25000,
                    "below": 23300
                },
                "adjustedBy": {
                    "Grade": "30",
                    "Region": "NE",
                    "Odometer": "20000",
                    "buildOptions": false
                }
            },
            "wholesale": {
                "above": 24900,
                "average": 22700,
                "below": 20600
            },
            "retail": {
                "above": 27300,
                "average": 25500,
                "below": 23700
            },
            "historicalAverages": {
                "last30Days": {
                    "odometer": 35945,
                    "price": 23200
                },
                "lastMonth": {
                    "odometer": 35833,
                    "price": 23700
                },
                "lastTwoMonths": {
                    "odometer": 30448,
                    "price": 23700
                },
                "lastSixMonths": {
                    "odometer": 28183,
                    "price": 24900
                },
                "lastYear": {
                    "odometer": 21770,
                    "price": 28500
                }
            },
            "forecast": {
                "nextMonth": {
                    "wholesale": 22800,
                    "retail": 25400
                },
                "nextYear": {
                    "wholesale": 19600,
                    "retail": 21100
                }
            },
            "averageOdometer": 35945,
            "odometerUnits": "miles",
            "averageGrade": 43,
            "currency": "USD",
            "sampleSize": "52",
            "requestedDate": "2024-05-24",
            "returnedDate": "2024-05-24",
            "bestMatch": true
        }
    ]
}
Response to request for VIN with odometer, zipCode and excludeBuild=false

The following is an example of the response to a request that includes "odometer", "zipCode" and "excludeBuild" in the query string.

{
    "href": "https://uat.api.manheim.com/valuations/vin/JF2GTHMC9M8371627?country=US&date=2024-05-24&excludeBuild=false&odometer=20000&zipCode=92780",
    "count": 1,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/id/202104872270011?country=US&date=2024-05-24&odometer=20000&zipCode=92780&region=WC",
            "extendedCoverage": false,
            "description": {
                "year": 2021,
                "make": "SUBARU",
                "model": "CROSSTREK",
                "trim": "4D SUV 2.5L LIMITED",
                "subSeries": "LIMITED"
            },
            "adjustedPricing": {
                "wholesale": {
                    "above": 26900,
                    "average": 24700,
                    "below": 22500
                },
                "adjustedBy": {
                    "Region": "WC",
                    "Odometer": "20000",
                    "buildOptions": true
                }
            },
            "wholesale": {
                "above": 24900,
                "average": 22700,
                "below": 20600
            },
            "averageOdometer": 35945,
            "odometerUnits": "miles",
            "averageGrade": 43,
            "currency": "USD",
            "sampleSize": "52",
            "requestedDate": "2024-05-24",
            "returnedDate": "2024-05-24",
            "bestMatch": true
        }
    ]
}

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
400 Bad RequestERROR: Invalid VINVIN may contain invalid characters or may be the wrong length; check and resubmit
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: Matching vehicles not foundURL may be malformed or the requested valuation does not exist; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support
596 596ERROR: 596 Service Not FoundURL may be malformed; check the method name and resubmit

How API Response Parameters Map to the Manheim Market Report

This section describe how the Valuations API response fields correlate with the fields in the Manheim Market Report screens.

Note: Each of the Valuations API response parameters listed in the following tables is contained in a valuations object in the items array.

Valuations API to MMR - header
Item #Valuations Response Parameter
1description.year
2description.make
3description.model
4description.trim

Valuations API to MMR - MMR
Item #Valuations Response Parameter
1wholesale.average
2averageOdometer
3averageGrade
4averageEVBH (if applicable)
5adjustedPricing.adjustedBy.Odometer
6adjustedPricing.adjustedBy.Region
7adjustedPricing.adjustedBy.Grade
8adjustedPricing.adjustedBy.Color
9adjustedPricing.adjustedBy.buildOptions (will return “true” if build options were included in the adjusted value, or “false” if build options were not included)
10adjustedPricing.adjustedBy.EVBH (if applicable)
11adjustedPricing.confidenceInterval.priceRange.adjustedLow
12adjustedPricing.confidenceInterval.priceRange.adjustedHigh
13adjustedPricing.wholesale.average
14adjustedPricing.retail.average
15adjustedPricing.retail.below
16adjustedPricing.retail.above


Example of Electric Vehicle Battery Health (EVBH) values for an EV

Valuations API to MMR - header
Valuations API to MMR - Average - Estimates
Item #Valuations Response Parameter
1historicalAverages.last30Days.price
2historicalAverages.last30Days.odometer
3historicalAverages.lastSixMonths.price
4historicalAverages.lastSixMonths.odometer
5historicalAverages.lastYear.price
6historicalAverages.lastYear.odometer
7forecast.nextMonth.wholesale
8adjustedPricing.retail.average
9retail.below
10retail.above

Search Valuations

Description

This method allows a customer to retrieve valuations based on details of a vehicle, such as the year, make, model or trim.

Customers can also use this method to retrieve valuations for a specific date in the past.

To obtain the data needed to search for valuations with year, make, model, and trim, refer to the "Retrieve All Years", "Retrieve Makes", "Retrieve Models", and "Retrieve Trims" methods.

Endpoints

GET /valuations/search/YEAR/MAKE

GET /valuations/search/YEAR/MAKE/MODEL

GET /valuations/search/YEAR/MAKE/MODEL/TRIM

Endpoints to handle URL encoded forward slash in Make, Model, or Trim

GET /valuations/search/years/YEAR/makes/MAKE

GET /valuations/search/years/YEAR/makes/MAKE/models/MODEL

GET /valuations/search/years/YEAR/makes/MAKE/models/MODEL/trims/TRIM

Request Parameters

This method requires certain path parameters in the URL as described in the table below.

ParameterTypeRequirementDescription
YEARIntegerREQUIREDYear of the vehicle
MAKEStringREQUIREDMake of the vehicle
MODELStringREQUIRED if "TRIM" is presentModel of the vehicle, partial or whole
TRIMStringOPTIONALTrim style of the vehicle, partial or whole

The query parameters for the method to "Retrieve Valuations by VIN" apply to this method.

Example JSON Requests

The "YEAR" and "MAKE" in the URL above would be replaced by the year and make of the vehicle similar to the following example.

GET https://uat.api.manheim.com/valuations/search/2009/honda

The customer may filter the results further by replacing "MODEL" in the URL above with a whole or partial model of a vehicle to retrieve valuations.

GET https://uat.api.manheim.com/valuations/search/2009/honda/accordv6

The customer may filter the year, make and model by replacing "TRIM" in the URL above with a specific whole or partial trim value, similar to the example below.

GET https://uat.api.manheim.com/valuations/search/2009/honda/accordv6/sedan

The customer may add an optional query string similar to the other methods above and in the following example.

GET https://uat.api.manheim.com/valuations/search/2009/honda/accordv6/sedan?region=SE&include=historical

The query may also contain color and grade parameters as shown in the following example.

GET https://uat.api.manheim.com/valuations/search/2009/honda/accordv6/sedan?color=red&grade=40

Customers may also search for valuations on a specific date by including the "date" query parameter. For more information about the date parameter, see "Retrieve Valuations by VIN".

GET https://uat.api.manheim.com/valuations/search/2009/honda/accordv6/sedan?date=11-01-2019

The customer may pass an encoded forward slash in the make field as show in the following example. Note: All special characters, such as forward slashes and spaces, must be URL encoded as shown in the example below.

GET https://uat.api.manheim.com/valuations/search/years/1981/makes/DATSUN%2FNISSAN

The customer may pass an encoded forward slash in the model field as show in the following example. Note: All special characters, such as forward slashes and spaces, must be URL encoded as shown in the example below.

GET https://uat.api.manheim.com/valuations/search/years/2006/makes/DODGE/models/CARAVAN%20C%2FV%20FFV

The customer may pass an encoded forward slash in the trim field as show in the following example. Note: All special characters, such as forward slashes and spaces, must be URL encoded as shown in the example below.

GET https://uat.api.manheim.com/valuations/search/years/1988/makes/TOYOTA/models/MR2/trims/2D%20COUPE%20S%2FC%20T-BAR

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: Matching vehicles not foundURL method or search parameters may be malformed; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support
596 596ERROR: Service Not FoundURL may be malformed; check the method name and resubmit

Response Parameters

This method returns the same fields as the method to Retrieve Valuations by VIN.

Example JSON Response

This method returns a similar response to the method "Retrieve Valuations by VIN".

Retrieve All Years

Description

This method returns a list of all model years for which valuations are available.

Any of the years returned may be used as a parameter in the "Retrieve Makes", "Retrieve Models" and "Retrieve Trims" methods. Applications can use these methods to guide a customer through a series of pick lists to specify a vehicle by year, make, model, and trim, and then to obtain valuations with the "Search Valuations" method.

Endpoint

GET /valuations/years

Request Parameters

The URL may include an OPTIONAL query string that includes one or more of the parameters in the following table.

ParameterTypeDescription
orderByStringField that the results should be sorted by; options are 'year', ' year+asc' to sort by year in ascending order, or 'year+desc' to sort by year in descending order

Example JSON Request

The following shows an example of the request.

GET https://uat.api.manheim.com/valuations/years

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: HTML response may contain details about the errorURL may be malformed; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support

Response Parameters

The overall JSON response for this method contains the following fields.

FieldTypeDescription
hrefStringURL of the request
countIntegerNumber of years returned
itemsArrayArray containing an item object for each year; the number of items matches the value of the "count" field.

Each year is described by these fields:

FieldTypeDescription
hrefStringURL for the year
yearIntegerYear in YYYY format, ex. 2013
makesObjectContains the URL for retrieving makes for the year
makes.hrefObjectURL for retrieving the vehicle makes for the year

Example JSON Response

The following example shows a list of years with valuations data. Note that some years were removed from the response for brevity.

{
    "href": "https://uat.api.manheim.com/valuations/years?country=US&orderBy= year+asc",
    "count": 6,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/years/2014?country=US",
            "year": 2014,
            "makes": {
                "href": "https://uat.api.manheim.com/valuations/years/2014/makes?country=US&orderBy=make+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2015?country=US",
            "year": 2015,
            "makes": {
                "href": "https://uat.api.manheim.com/valuations/years/2015/makes?country=US&orderBy=make+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2016?country=US",
            "year": 2016,
            "makes": {
                "href": "https://uat.api.manheim.com/valuations/years/2016/makes?country=US&orderBy=make+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017?country=US",
            "year": 2017,
            "makes": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes?country=US&orderBy=make+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2018?country=US",
            "year": 2018,
            "makes": {
                "href": "https://uat.api.manheim.com/valuations/years/2018/makes?country=US&orderBy=make+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2019?country=US",
            "year": 2019,
            "makes": {
                "href": "https://uat.api.manheim.com/valuations/years/2019/makes?country=US&orderBy=make+asc"
            }
        }
    ]
}

Retrieve Makes

This method allows an API customer to retrieve all makes for which valuations are available for a specified year. To obtain the list of years that can be used, see "Retrieve All Years". Any of the makes returned may be used as a parameter in the "Retrieve Models" and "Retrieve Trims" methods.

Make data can used with year, model, and trim to obtain valuations with the "Search Valuations" method.

Endpoint

GET /valuations/years/YEAR/makes

Request Parameters

This method requires only the YEAR in the URL.

ParameterTypeRequirementDescription
YEARStringREQUIREDYear of manufacture for which to retrieve vehicle makes

The URL may also include an OPTIONAL query string that includes one or more of the parameters in the following table.

ParameterTypeDescription
orderByStringField that the results should be sorted by; options are 'make', 'make+asc' to sort by year in ascending order, or 'make+desc' to sort by year in descending order

Example JSON Request

The following shows an example of the request.

https://uat.api.manheim.com/valuations/years/2017/makes

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: HTML response may contain details about the errorURL may be malformed; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support

Response Parameters

The overall JSON response for this method contains the following fields.

FieldTypeDescription
hrefStringURL of the request
countIntegerNumber of makes returned
itemsArrayArray containing an item object for each make; the number of items matches the value of the "count" field.

Each make is described by these fields:

FieldTypeDescription
hrefStringURL for the make for the specified year
makeStringMake of vehicle, ex. 'ACURA'
modelsObjectContains the URL for retrieving models for this make and year
models.hrefObjectURL for retrieving the vehicle models for the make and year

Example JSON Response

The following example shows makes with valuations data for 2017. Note that some makes were removed from the response for brevity.

{
    "href": "https://uat.api.manheim.com/valuations/years/2017/makes?country=US&orderBy=make+asc",
    "count": 10,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/ACURA?country=US",
            "make": "ACURA",
            "models": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/ACURA/models?country=US&orderBy=model+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/AUDI?country=US",
            "make": "AUDI",
            "models": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/AUDI/models?country=US&orderBy=model+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/CHEVROLET?country=US",
            "make": "CHEVROLET",
            "models": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/CHEVROLET/models?country=US&orderBy=model+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD?country=US",
            "make": "FORD",
            "models": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models?country=US&orderBy=model+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/HONDA?country=US",
            "make": "HONDA",
            "models": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/HONDA/models?country=US&orderBy=model+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/LEXUS?country=US",
            "make": "LEXUS",
            "models": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/LEXUS/models?country=US&orderBy=model+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/NISSAN?country=US",
            "make": "NISSAN",
            "models": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/NISSAN/models?country=US&orderBy=model+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/SUBARU?country=US",
            "make": "SUBARU",
            "models": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/SUBARU/models?country=US&orderBy=model+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/TESLA?country=US",
            "make": "TESLA",
            "models": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/TESLA/models?country=US&orderBy=model+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/TOYOTA?country=US",
            "make": "TOYOTA",
            "models": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/TOYOTA/models?country=US&orderBy=model+asc"
            }
        }
    ]
}

Retrieve Models

This method allows an API customer to retrieve all of the vehicle models for which valuations are available for a specified year (see "Retrieve All Years" and make (see "Retrieve Makes". Any of the models returned may be used as a parameter in the "Retrieve Trims" method.

Model data can used with year, make, and trim to obtain valuations with the "Search Valuations" method.

Endpoint

GET /valuations/years/YEAR/makes/MAKE/models

Request Parameters

This method requires the YEAR and MAKE in the URL.

ParameterTypeRequirementDescription
YEARStringREQUIREDYear of manufacture for which to retrieve vehicle models
MAKEStringREQUIREDMake (manufacturer) for which to retrieve vehicle models

The URL may also include an OPTIONAL query string that includes one or more of the parameters in the following table.

ParameterTypeDescription
orderByStringField that the results should be sorted by; options are 'model', 'model+asc' to sort by year in ascending order, or 'model+desc' to sort by year in descending order

Example JSON Request

The following shows an example of the request.

https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: HTML response may contain details about the errorURL may be malformed; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support

Response Parameters

The overall JSON response for this method contains the following fields.

FieldTypeDescription
hrefStringURL of the request
countIntegerNumber of makes returned
itemsArrayArray containing an item object for each model; the number of items matches the value of the "count" field.

Each make is described by these fields:

FieldTypeDescription
hrefStringURL for the model for the specified year and make
modelStringModel of vehicle, ex. 'ESCAPE 4WD'
trimsObjectContains the URL for retrieving trims for this make, year, and model
trims.hrefObjectURL for retrieving the vehicle models for this make, year, and model

Example JSON Response

The following is an example of the response to the example query provided above. Note that some models were removed from the response for brevity.

{
    "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models?country=US&orderBy=model+asc",
    "count": 4,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/C-MAX%20HYBRID?country=US",
            "model": "C-MAX HYBRID",
            "trims": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/C-MAX%20HYBRID/trims?country=US&orderBy=trim+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/EXPEDITION%202WD?country=US",
            "model": "EXPEDITION 2WD",
            "trims": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/EXPEDITION%202WD/trims?country=US&orderBy=trim+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/EXPLORER%20FWD%20V6?country=US",
            "model": "EXPLORER FWD V6",
            "trims": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/EXPLORER%20FWD%20V6/trims?country=US&orderBy=trim+asc"
            }
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/F150%202WD%20V6?country=US",
            "model": "F150 2WD V6",
            "trims": {
                "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/F150%202WD%20V6/trims?country=US&orderBy=trim+asc"
            }
        }
    ]
}

Retrieve Trims

This method allows an API customer to retrieve all of the vehicle trims for which valuations are available for a specified year (see "Retrieve All Years", make (see "Retrieve Makes" and model (see "Retrieve Models".

Trim data can used with year, make, and model to obtain valuations with the "Search Valuations" method.

Endpoint

GET /valuations/years/YEAR/makes/MAKE/models/MODEL/trims

Request Parameters

This method requires the YEAR, MAKE, and MODEL in the URL.

ParameterTypeRequirementDescription
yearsStringREQUIREDYear of manufacture for which to retrieve vehicle models
makesStringREQUIREDMake for which to retrieve vehicle models; ex. "FORD"
modelsStringREQUIREDModel for which to retrieve vehicle trims; ex. "EXPLORER FWD V6"

The URL may also include an OPTIONAL query string that includes one or more of the parameters in the following table.

ParameterTypeDescription
orderByStringField that the results should be sorted by; options are 'trim' or 'trim+asc' to sort by year in ascending order, or 'trim+desc' to sort by year in descending order

Example JSON Request

The following shows an example of the request.

https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/EXPLORER FWD V6/trims/

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: HTML response may contain details about the errorURL may be malformed; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support

Response Parameters

The overall JSON response for this method contains the following fields.

FieldTypeDescription
hrefStringURL of the request
countIntegerNumber of makes returned
itemsArrayArray containing an item object for each trim; the number of items matches the value of the "count" field.

Each make is described by these fields:

FieldTypeDescription
hrefStringURL for the trim for the specified year, make, and model
trimStringTrim of vehicle, ex. '4D SUV'

Example JSON Response

The following is an example of the response to the example query provided above. Note that some trims were removed from the response for brevity.

{
    "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/EXPLORER%20FWD%20V6/trims?country=US&orderBy=trim+asc",
    "count": 3,
    "items": [
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/EXPLORER%20FWD%20V6/trims/4D%20SUV?country=US",
            "trim": "4D SUV"
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/EXPLORER%20FWD%20V6/trims/4D%20SUV%20LIMITED?country=US",
            "trim": "4D SUV LIMITED"
        },
        {
            "href": "https://uat.api.manheim.com/valuations/years/2017/makes/FORD/models/EXPLORER%20FWD%20V6/trims/4D%20SUV%20XLT?country=US",
            "trim": "4D SUV XLT"
        }
    ]
}

Retrieve All Colors

This method allows an API customer to retrieve all of the colors that may be used as a query parameter to obtain color-adjusted valuations. See "Retrieve Valuations by VIN" for more information.

Endpoint

GET /valuations/colors

Example JSON Request

The following shows an example of the request.

GET https://uat.api.manheim.com/valuations/colors

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: HTML response may contain details about the errorURL may be malformed; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support

Response Parameters

The overall JSON response for this method contains the following fields.

FieldTypeDescription
hrefStringURL of the request
countIntegerNumber of colors returned
itemsArrayArray containing an item object for each color; the number of items matches the value of the "count" field. Each item contains a color value as a string.

Each color is described by the value field:

FieldTypeDescription
valueStringUnique name for a color that may be applied to a vehicle in a valuation

Example JSON Response

{
    "href": "https://uat.api.manheim.com/valuations/colors",
    "count": 18,
    "items": [
        {
            "value": "Beige"
        },
        {
            "value": "Black"
        },
        {
            "value": "Blue"
        },
        {
            "value": "Brown"
        },
        {
            "value": "Burgundy"
        },
        {
            "value": "Charcoal"
        },
        {
            "value": "Gold"
        },
        {
            "value": "Gray"
        },
        {
            "value": "Green"
        },
        {
            "value": "Off-white"
        },
        {
            "value": "Orange"
        },
        {
            "value": "Pink"
        },
        {
            "value": "Purple"
        },
        {
            "value": "Red"
        },
        {
            "value": "Silver"
        },
        {
            "value": "Turquoise"
        },
        {
            "value": "White"
        },
        {
            "value": "Yellow"
        }
    ]
}
}

Retrieve All Grades

This method allows an API customer to retrieve all of the condition grades that may be used as a query parameter to obtain grade-adjusted valuations. See "Retrieve Valuations by VIN" for more information.

Endpoint

GET /valuations/grades

Example JSON Request

The following shows an example of the request.

GET https://uat.api.manheim.com/valuations/grades

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: HTML response may contain details about the errorURL may be malformed; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support

Response Parameters

The overall JSON response for this method contains the following fields.

FieldTypeDescription
hrefStringURL of the request
countIntegerNumber of grades returned
itemsArrayArray containing an item object for each grade; the number of items matches the value of the "count" field. Each item contains a grade value as a string

Each grade item is described by a value field:

FieldTypeDescription
valueStringValue for a grade that may be assigned to a vehicle in a valuation. Note that grades are provided as whole numbers; a value of "28" is equivalent to "2.8"

Example JSON Response

{
    "href": "https://uat.api.manheim.com/valuations/grades",
    "count": 41,
    "items": [
        {
            "value": "10"
        },
        {
            "value": "11"
        },
        {
            "value": "12"
        },
        {
            "value": "13"
        },
        {
            "value": "14"
        },
        {
            "value": "15"
        },
        {
            "value": "16"
        },
        {
            "value": "17"
        },
        {
            "value": "18"
        },
        {
            "value": "19"
        },
        {
            "value": "20"
        },
        {
            "value": "21"
        },
        {
            "value": "22"
        },
        {
            "value": "23"
        },
        {
            "value": "24"
        },
        {
            "value": "25"
        },
        {
            "value": "26"
        },
        {
            "value": "27"
        },
        {
            "value": "28"
        },
        {
            "value": "29"
        },
        {
            "value": "30"
        },
        {
            "value": "31"
        },
        {
            "value": "32"
        },
        {
            "value": "33"
        },
        {
            "value": "34"
        },
        {
            "value": "35"
        },
        {
            "value": "36"
        },
        {
            "value": "37"
        },
        {
            "value": "38"
        },
        {
            "value": "39"
        },
        {
            "value": "40"
        },
        {
            "value": "41"
        },
        {
            "value": "42"
        },
        {
            "value": "43"
        },
        {
            "value": "44"
        },
        {
            "value": "45"
        },
        {
            "value": "46"
        },
        {
            "value": "47"
        },
        {
            "value": "48"
        },
        {
            "value": "49"
        },
        {
            "value": "50"
        }
    ]
}

Retrieve MMR Edition Information

This method allows a customer to check the current edition of the MMR valuations. The edition reflects the most recent update of Manheim Market Report data for the Valuations API. If "date" or "edition" is less than today's date, the data has yet to be refreshed. As noted above, the Manheim Market Report data is refreshed nightly.

Endpoint

GET /valuations/edition

Request Parameters

Example JSON Request

The following shows an example of the request.

GET https://uat.api.manheim.com/valuations/edition

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: HTML response may contain details about the errorURL may be malformed; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support

Response Parameters

The overall JSON response for edition information has the following fields.

FieldTypeNotes
hrefStringURL of the request
countIntegerNumber of editions returned, typically with the value of "1"
items-Contains one or more blocks of edition information; each item of edition information has the fields listed in the table below, and the number of edition items matches the value of the "count" field

Each edition item within the JSON object has the following fields.

FieldTypeNotes
dateDatePublication date in YYYY-MM-DD format
monthAndDayStringPublication date's month and day, in "Month DD" format
nextMonthStringMonth and year for next month's publication, in "Month YYYY" format
nextYearStringMonth and year for next year's publication, in "Month YYYY" format
sixMonthsAgoStringMonth and year for publication from 6 months ago, in "Month YYYY" format
twelveMonthsAgoStringMonth and year for publication from 12 months ago, in "Month YYYY" format
twoMonthsAgoStringMonth and year for publication from 2 months ago, in "Month YYYY" format
displayWeekStringMonth and day indicating week to display the current edition, in "Month DD" format
editionStringPublication date in "Month DD, YYYY" format

Example JSON Response

{
  "href": "https://uat.api.manheim.com/valuations/edition",
  "count": 1,
  "items": [
    {
      "date": "2017-01-25",
      "monthAndDay": "Jan 20",
      "nextMonth": "Feb 2017",
      "nextYear": "Jan 2018",
      "sixMonthsAgo": "Jul 2016",
      "twelveMonthsAgo": "Jan 2016",
      "twoMonthsAgo": "Nov 2016",
      "displayWeek": "Feb 01",
      "edition": "January 25, 2017"
    }
  ]
}

Retrieve All Regions

This method allows an API customer to retrieve all of the regions that may be used as a query parameter to obtain region-adjusted valuations. See "Retrieve Valuations by VIN" for more information.

Endpoint

GET /valuations/regions

Request Parameters

Example JSON Request

The following shows an example of the request.

GET https://uat.api.manheim.com/valuations/regions

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: HTML response may contain details about the errorURL may be malformed; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support

Response Parameters

The overall JSON object for region information has the following fields.

FieldTypeDescription
hrefStringURL of the request
countIntegerNumber of regions returned
itemsArrayA block containing information about one or more regions; each item of region information has the fields listed in the table below, and the number of regions matches the value of the "count" field

Each region item within the JSON object has the following fields.

FieldTypeDescription
hrefStringURL containing information about a specific region
idStringRegion ID
nameStringFull region name

Example JSON Response

The response for regions of the United States is similar to the following.

{
  "href": "https://uat.api.manheim.com/valuations/regions",
  "count": 6,
  "items": [
    {
      "href": "https://uat.api.manheim.com/valuations/regions/id/NA?country=US",
      "id": "NA",
      "name": "National"
    },
    {
      "href": "https://uat.api.manheim.com/valuations/regions/id/SE?country=US",
      "id": "SE",
      "name": "Southeast"
    },
    {
      "href": "https://uat.api.manheim.com/valuations/regions/id/NE?country=US",
      "id": "NE",
      "name": "Northeast"
    },
    {
      "href": "https://uat.api.manheim.com/valuations/regions/id/MW?country=US",
      "id": "MW",
      "name": "Midwest"
    },
    {
      "href": "https://uat.api.manheim.com/valuations/regions/id/SW?country=US",
      "id": "SW",
      "name": "Southwest"
    },
    {
      "href": "https://uat.api.manheim.com/valuations/regions/id/WC?country=US",
      "id": "WC",
      "name": "West Coast"
    }
  ]
}

Retrieve a Single Region

This method allows a customer to retrieve information about a specific region.

Endpoint

GET /valuations/regions/id/ID

Request Parameters

This method required the region ID in the URL request.

Example JSON Request

The following shows an example of the request.

GET https://uat.api.manheim.com/valuations/regions/id/WC

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: HTML response may contain details about the errorURL may be malformed; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support

Response Parameters

This method has the same fields in the response as the method to "Retrieve All Regions".

Example JSON Response

{
  "href": "https://uat.api.manheim.com/valuations/regions/id/SE?country=US",
  "count": 1,
  "items": [
    {
      "href": "https://uat.api.manheim.com/valuations/regions/id/SE?country=US",
      "id": "SE",
      "name": "Southeast"
    }
  ]
}

Retrieve Region by Auction

This method allows the customer search for the region in which an auction is located.

Endpoint

GET /valuations/regions/auction/id/ID

Request Parameters

This method required the auction ID in the URL request.

Example JSON Request

"ID" at the end of the URL should be replaced with the auction ID assigned by Manheim, as shown in the example below.

GET https://uat.api.manheim.com/valuations/regions/auction/id/AAA

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested informationSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
404 Not FoundERROR: HTML response may contain details about the errorURL may be malformed; check and resubmit
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support

Response Parameters

This method has the same fields in the response as the method to "Retrieve All Regions".

Example JSON Response

{
  "href": "https://uat.api.manheim.com/valuations/regions/auction/id/AAA",
  "count": 1,
  "items": [
    {
      "href": "https://uat.api.manheim.com/valuations/regions/auction/id/AAA?country=US",
      "id": "SE",
      "name": "Southeast"
    }
  ]
}

Retrieve Batch Valuations by VIN

This method allows a customer to retrieve up to 100 valuations using VINs in a single request.

Endpoint

POST /valuations/batch/vins

Request Parameters

The body of this request uses VINs to retrieve valuations.

ParameterTypeRequirementDescription
VINStringREQUIREDvehicle identification number (VIN) of a vehicle

The following OPTIONAL query string parameters are available for this method.

ParameterTypeDescription
odometerIntegerAccepts numeric values but currently matches only exact values rather than a range of values
regionStringAPI calls will default to NA if this parameter is omitted; accepted values can be retrieved by the API call, Retrieve All Regions
colorStringExternal color of the vehicle; accepted values may be retrieved from the request "Retrieve All Colors"
gradeIntegerCondition grade of the vehicle such that "30" is equivalent to "3.0"
includeStringAccepts any comma-separated combination of the following, in any order: retail, forecast, historical
dateStringThe specific day for which to retrieve the vehicle valuations, in YYYY-MM-DD format
excludeBuildBooleanIf True, excludes any available build data from being included in the wholesale adjusted pricing.
  • If the specified date is valid, the API returns values for the appropriate edition date.
  • When the specified date is not found, the nearest previous date is used to generate the valuations response.
  • If the specified date is prior to the first available date, an error is returned.

Example JSON Request

POST https://uat.api.manheim.com/valuations/batch/vins

The POST body for the batch request may contain partial URLs for multiple VINs. Full URLs are not permitted and will cause an error to occur. Each URL may be entered on a separate line for readability.

[
	"1C4RJFCG5HC909765",
	"3GNFL2EK1DS520902?region=NE",
	"WBAPK53559A513276?odometer=5000"
]

This example shows a JSON request body for retrieving multiple valuations using optional query parameters for historical, retail, and projected pricing; region, color, and grade. The matching response is shown in the Example JSON Response section.

 [ 

    "7FARW1H8XLE020255?country=US&date=2024-01-01&odometer=20000&include=retail,historical,forecast&excludeBuild=true", 

    "1G1ZG5STXNF194539?country=US&date=2024-01-01&odometer=18000&region=NE&color=White", 

    "5TFCZ5AN4JX151944/LIMITED?country=US&date=2024-01-01&odometer=5000&grade=36" 

]

This example shows a JSON request body for retrieving multiple valuations using optional query parameters, including a date parameter for historical, retail, and projected pricing; region, color, grade and excludeBuild. The matching response is shown in the Example JSON Response section.

[
	"5J6RE4H76AL093425?include=retail,historical,forecast&date=2019-10-28&excludeBuild=true",
	"3GTU2UEC5EG453829?region=NE&color=white&date=2019-10-28",
	"1FMCU9HXXDUC55952?odometer=5000&grade=36&date=2019-10-01"
]

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKBody contains the requested valuation(s)Successful response; no actions necessary
400 Bad RequestERROR: Message contains details about the errorVINs may be malformed or missing or the URL may be malformed; check and resubmit
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the customer does not have access; check the token or contact Manheim for further support
500 Server ErrorERROR: Unknown ErrorResubmit the request; if issue still exists contact Manheim for support

Response Parameters

The batch call has the fields listed below. The fields for each valuation item may be found in the method to "Retrieve Valuations by VIN".

FieldNotes
hrefURL of the request
itemsContains an array of information about the batch request
items.countNumber of successful valuations found for the request
items.itemsContains an array of individual valuations
errorsContains an array of error information if any are found
errors.countNumber of errors found for a batch request
errors.errorsContains an array of information about each individual error found within a batch request

Each error within the batch call has the following fields.

FieldNotes
hrefURL of the individual valuation request within the batch request that caused the error
messageDetails about the error
developerMessageError code, such as "Invalid ID"

Example JSON Response

This example show a response to a batch request specifying a different combination of parameters for each individual request

{
    "href": "https://uat.api.manheim.com/valuations/batch/vins",
    "items": [
        {
            "count": 3,
            "items": [
                {
                    "href": "https://uat.api.manheim.com/valuations/vin/5J6RE4H76AL093425?country=US&date=2019-10-28&excludeBuild=true&include=retail%2Chistorical%2Cforecast&odometer=0",
                    "count": 1,
                    "items": [
                        {
                            "href": "https://uat.api.manheim.com/valuations/id/201002319980048?country=US&date=2019-10-28&include=retail%2Chistorical%2Cforecast&odometer=0",
                            "extendedCoverage": false,
                            "description": {
                                "year": 2010,
                                "make": "HONDA",
                                "model": "CR-V 4WD",
                                "trim": "4D SUV EX-L",
                                "subSeries": "EX-L"
                            },
                            "adjustedPricing": {
                                "wholesale": {
                                    "above": 8275,
                                    "average": 6450,
                                    "below": 4650
                                },
                                "retail": {
                                    "above": 10750,
                                    "average": 9025,
                                    "below": 7275
                                },
                                "adjustedBy": {
                                    "buildOptions": false
                                }
                            },
                            "wholesale": {
                                "above": 8275,
                                "average": 6450,
                                "below": 4650
                            },
                            "retail": {
                                "above": 10750,
                                "average": 9025,
                                "below": 7275
                            },
                            "historicalAverages": {
                                "last30Days": {
                                    "odometer": 124389,
                                    "price": 6600
                                },
                                "lastMonth": {
                                    "odometer": 131418,
                                    "price": 7000
                                },
                                "lastTwoMonths": {
                                    "odometer": 139066,
                                    "price": 6550
                                },
                                "lastSixMonths": {
                                    "odometer": 115771,
                                    "price": 8100
                                },
                                "lastYear": {
                                    "odometer": 121064,
                                    "price": 7200
                                }
                            },
                            "forecast": {
                                "nextMonth": {
                                    "wholesale": 6450,
                                    "retail": 9025
                                },
                                "nextYear": {
                                    "wholesale": 2850,
                                    "retail": 5550
                                }
                            },
                            "averageOdometer": 124389,
                            "odometerUnits": "miles",
                            "averageGrade": 33,
                            "currency": "USD",
                            "sampleSize": "36",
                            "requestedDate": "2019-10-28",
                            "returnedDate": "2019-10-28",
                            "bestMatch": true
                        }
                    ]
                },
                {
                    "href": "https://uat.api.manheim.com/valuations/vin/3GTU2UEC5EG453829?country=US&color=White&date=2019-10-28&odometer=0&region=NE",
                    "count": 1,
                    "items": [
                        {
                            "href": "https://uat.api.manheim.com/valuations/id/201402159150218?country=US&color=White&date=2019-10-28&odometer=0&region=NE",
                            "extendedCoverage": false,
                            "description": {
                                "year": 2014,
                                "make": "GMC",
                                "model": "1500 SIERRA 4WD V8 FFV",
                                "trim": "CREW CAB 5.3L SLE",
                                "subSeries": "SLE"
                            },
                            "adjustedPricing": {
                                "wholesale": {
                                    "above": 23000,
                                    "average": 19700,
                                    "below": 16350
                                },
                                "adjustedBy": {
                                    "Color": "WHITE",
                                    "Region": "NE",
                                    "buildOptions": false
                                }
                            },
                            "wholesale": {
                                "above": 23300,
                                "average": 19950,
                                "below": 16550
                            },
                            "averageOdometer": 86631,
                            "odometerUnits": "miles",
                            "averageGrade": 38,
                            "currency": "USD",
                            "sampleSize": "46",
                            "requestedDate": "2019-10-28",
                            "returnedDate": "2019-10-28",
                            "bestMatch": true
                        }
                    ]
                },
                {
                    "href": "https://uat.api.manheim.com/valuations/vin/1FMCU9HXXDUC55952?country=US&date=2019-10-01&grade=36&odometer=5000",
                    "count": 1,
                    "items": [
                        {
                            "href": "https://uat.api.manheim.com/valuations/id/201301766060786?country=US&date=2019-10-01&grade=36&odometer=5000",
                            "extendedCoverage": false,
                            "description": {
                                "year": 2013,
                                "make": "FORD",
                                "model": "ESCAPE 4WD",
                                "trim": "4D SUV 1.6L SEL",
                                "subSeries": "SEL"
                            },
                            "adjustedPricing": {
                                "wholesale": {
                                    "above": 15600,
                                    "average": 13600,
                                    "below": 11600
                                },
                                "adjustedBy": {
[...]
